// STYLE NAVBAR //
.navbar {
    z-index         : 999;
    position        : fixed;
    display         : flex;
    flex-wrap       : wrap;
    flex-direction  : row;
    justify-content : space-between;
    align-items     : flex-end;
    width           : 100%;
    background-color: $primary;
    border-bottom   : 3px solid $primary;

    @include tablet {
        flex-direction: column;
        align-items   : center;
    }

    @include mobile {
        flex-direction: row;
    }

    // LOGO ET NOM NAVBAR
    .nav-logo {
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        align-items    : center;
        margin-left    : 1rem;
        text-decoration: none;

        @include tablet {
            margin-left: 0;
        }
        
        @include mobile {
            margin-left: 1.5rem;
        }

        &:hover {

            h1 {
                color: $complementary;
            }

            path {
                fill: $complementary;
            }
        }

        #logo {
            margin: 0.5rem;
        }
    }

    // NAVBAR DESKTOP
    .nav {
        display       : flex;
        flex-wrap     : wrap;
        flex-direction: row;
        list-style    : none;

        .nav-link {
            padding         : 0.5rem 1.5rem;
            margin-right    : 1.5rem;
            border-radius   : 10px 10px 0 0;
            font-size       : 1.1rem;
            background-color: $secondary;

            @include tablet {
                margin-right: 0.5rem;
            }

            @include mobile {
                display: none;
            }

            a {
                font-size      : 0.9rem;
                font-family    : 'Graduate', cursive;
                text-decoration: none;
                transition     : 200ms;

                &:visited {
                    text-decoration: none;
                }

                &:hover {
                    color: $complementary;
                }
            }
        }
    }

    // NAVBAR MOBILE
    .nav-wrapped {
        display: none;

        @include mobile {
            display: block;
        }

        // BUTTON FOR DISPLAY MENU
        svg {
            padding: 1.3rem 1.5rem 1rem 1rem;
        }

        #toggle-btn {
            display: block;

            &.active {
                display: none;
            }
        }

        #close-btn {
            display: none;

            &.active {
                display: block;
            }
        }
    }
}

// TOGGLE //
.menu-toggle {
    display: none;

    &.active {
        z-index         : 999;
        position        : fixed;
        top             : 68.8px;
        left            : 0;
        display         : block;
        width           : 100%;
        background-color: $primary;
        border-bottom   : 3px solid #ffffff;

        @include desktop {
            display: none;
        }

        @include tablet {
            display: none;
        }

        @include mobile {
            display: block;
        }
    
        .nav {
            display       : flex;
            flex-direction: column;
            padding       : 1rem;
            list-style    : none;
    
            .nav-link {
                padding: 0.5rem;
    
                a {
                    font-size      : 1.1rem;
                    font-family    : 'Graduate', cursive;
                    text-decoration: none;
    
                    &:visited {
                        text-decoration: none;
                    }
    
                    &:hover {
                        color: $complementary;
                    }
                }
                
                &:last-child {
                    margin-left: auto;
                }
    
                &.log {
                    
                    a {
                        color: $complementary;
    
                        &:hover {
                            color: $neon-4;
                        }
                    }
                }
            }
        }
    }
}